<script type="text/x-template" id="filter-component">
  <div id="filter" class="filter">
    <form class="form form_filter">
      <div class="fieldset fieldset_filter">
        <div class="filter-title">
          <span class="filter-title__back"></span>
          ${filterTitle}
        </div>
        <div class="fieldset__item field">
          <label class="label label_default label_s">сортировка</label>
          <div class="control control_default control_m">
            <div class="m-select__btn" @click="sortOpen('true')"></div>
            <select v-select2="sortkey" v-model="sortkey">
              <option value="-modified">по дате изменения</option>
              <option value="-created">по дате создания</option>
              <option value="-cost">по стоимости заказа</option>
              <option value="-status">по статусу заказа</option>
            </select>
          </div>
          <div class="m-select" :class="{open: openSort ? true : false}">
            <div class="m-select__title"  @click="sortOpen(false)">
                <span class="m-select__btn-back">
                  <svg><use xlink:href="#svg-arrow-left"></use></svg>
                </span>
              сортировка
            </div>
            <ul class="m-select__list">
              <li @click="mChangeSort('-modified')">по дате изменения</li>
              <li @click="mChangeSort('-created')">по дате создания</li>
              <li @click="mChangeSort('-cost')">стоимости заказа</li>
              <li @click="mChangeSort('-status')">о статусу заказа</li>
            </ul>
          </div>
        </div>
      
        <div class="fieldset__item field">
          <label class="label label_default label_s">Филиал</label>
          <div class="control control_default control_m">
            <div class="m-select__btn" @click="filialOpen('true')"></div>
            <select v-select2="filial">
              <option disabled="disabled" selected="selected"></option>
              <option v-for="f in filials" :value="f.id" :selected="f.id == filial">${ f.name }</option>
            </select>
          </div>
            <div class="m-select" :class="{open: openFilial ? true : false}">
              <div class="m-select__title"  @click="filialOpen(false)">
                <span class="m-select__btn-back">
                  <svg><use xlink:href="#svg-arrow-left"></use></svg>
                </span>
                Филиал
              </div>
              <ul class="m-select__list">
                <li v-for="item in filials" @click="mChangeFilial(item.id)">${item.name}</li>
              </ul>
            </div>
          </div>
        <div class="fieldset__item field">
          <label class="label label_default label_s">статус</label>
          <div class="control control_default control_m">
            <div class="m-select__btn" @click="statusOpen('true')"></div>
            <select v-select2="status">
              <option disabled="disabled" selected="selected"></option>
              <option v-for="s in statuses" :value="s[0]" :selected="s[0] === parseInt(status)">${ s[1] }</option>
            </select>
          </div>
        </div>
            <div class="m-select" :class="{open: openStatus ? true : false}">
              <div class="m-select__title"  @click="statusOpen(false)">
                <span class="m-select__btn-back">
                  <svg><use xlink:href="#svg-arrow-left"></use></svg>
                </span>
                Cтатус
              </div>
            
              <ul class="m-select__list">
                <li v-for="item in statuses" @click="mChangeStatus(item[0])">${  item[1] }</li>
              </ul>
            </div>
        <div class="fieldset__item field half">
          <label class="label label_default label_s">дата создания</label>
          <div class="dest">
            <datepicker :value="start" @input="onChangeDatepickerStart" :monday-first="true" :language="datepickerLang" :disabled-dates="startDatepickerState.disabled" wrapper-class="control control_default control_m" calendar-class="calendar" input-class="calendar-input" placeholder="от"/>
          </div>
            <div class="mob">
            <div class="openCalendar" @click="openCalendarOne = !openCalendarOne"><span v-if="start">${start}</span><span v-else>От</span></div>
            <div class="datepicker-open" :class="{open: openCalendarOne ? true: false}">
              <div class="datepicker-open__bck"  @click="openCalendarOne = !openCalendarOne"></div>
                <div class="datepicker-open__title">Дата создания от: </div>
                <datepicker  :inline="true" :value="start" @input="onChangeDatepickerStart" :monday-first="true" :language="datepickerLang" :disabled-dates="startDatepickerState.disabled" wrapper-class="control control_default control_m" calendar-class="calendar" input-class="calendar-input" placeholder="от"/>
            </div>
          </div>
        </div>
        <div class="fieldset__item field half">
          <div class="dest">
            <datepicker :value="date_end_end" @input="onChangeDatepickerDate_end_End" :monday-first="true" :language="datepickerLang" :disabled-dates="date_end_endDatepickerState.disabled" wrapper-class="control control_default control_m" calendar-class="calendar" input-class="calendar-input" placeholder="до"/>
          </div>
          <div class="mob">
          <div class="openCalendar" @click="openCalendarFour = !openCalendarThree"><span v-if="date_end_end">${date_end_end}</span><span v-else>От</span></div>
          <div class="datepicker-open" :class="{open: openCalendarFour ? true: false}">
            <div class="datepicker-open__bck"  @click="openCalendarFour = !openCalendarFour"></div>
              <div class="datepicker-open__title">Дата создания от: </div>
              <datepicker :inline="true" :value="date_end_end" @input="onChangeDatepickerDate_end_End" :monday-first="true" :language="datepickerLang" :disabled-dates="date_end_endDatepickerState.disabled" wrapper-class="control control_default control_m" calendar-class="calendar" input-class="calendar-input" placeholder="до"/>
            </div>
          </div>
        </div>
        {% if not request.user.is_expert %}
        <div class="fieldset__item field">
          <label class="label label_default label_s">исполнитель</label>
          <div class="control control_default control_m">
          
            <select v-select2="executor">
              <option disabled="disabled" selected="selected"></option>
              <option 
                v-for="e in executors" 
                v-if="in_array(e.filial_in, filial)"
            
                :value="e.id" 
                :selected="e.id == executor">${ e.first_name } ${ e.last_name }
              </option>
            </select>
          </div>
        </div>
        {% endif %}
        <div class="fieldset__item field">
          <label class="check check_m check_default">
            <input v-model="payed" type="checkbox" :checked="payed"/>
            <div class="check__icon"></div>
            <div class="check__content">
              <div class="check__title">оплачен</div>
            </div>
          </label>
        </div>
        <div class="fieldset__item field">
          <label class="check check_m check_default">
            <input v-model="closing" type="checkbox" :checked="closing"/>
            <div class="check__icon"></div>
            <div class="check__content">
              <div class="check__title">закрыт</div>
            </div>
          </label>
        </div>
        <div class="fieldset__item filter-btn__dest">
          <button class="form__btn btn btn_default btn_s btn_block">
            <div class="btn__grid">
              <div class="btn__title">Сбросить фильтр</div>
            </div>
          </button>
        </div>
        <div class="filter-btn__mob">
          <button class="filter-btn cancel">
              сбросить
          </button>
          <div @click="closeFilter()" class="filter-btn success">
              Готово
          </div>
        </div>
      </div>
    </form>
  </div>
</script>